Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class UserManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CoreUserManager, UserManagerImpl

    public interface class UserManager

extends java.rmi.Remote

A UserManager defines the facade interface for operations related to the management of ECM users.

Method Summary
`NamedValueSet[]` | `findCredentialManagerUsers(NamedValue[] searchOptions)` Find a list of users from the current credential manager that match the specified search options.
`Item[]` | `findDomainUsers(NamedValue[] options, AttributeRequest[] attrs)` Find a list of provisioned users in the current domain that match the specified search options.
`Preference` | `getDomainDefaultUserPreference(java.lang.String key, AttributeRequest[] attributes)` Get domain level default value for a single user preference.
`Preference[]` | `getDomainDefaultUserPreferences(java.lang.String[] keys, AttributeRequest[] attributes)` Get domain level default values for the requested user preferences.
`Item` | `getUser(java.lang.String name, AttributeRequest[] attributes)` Gets the specified user by name.
`Preference` | `getUserPreference(java.lang.String key, AttributeRequest[] attributes)` Get a user preference for the current user, by its preference key.
`Preference[]` | `getUserPreferences(java.lang.String[] keys, AttributeRequest[] attributes)` Get a set of user preferences for the current user, by preference key.
`Preference[]` | `getUserPreferencesForUser(long userId, java.lang.String[] keys, AttributeRequest[] attributes)` Get a set of user preferences for the specified user, by preference key.
`boolean` | `hasUserPreference(java.lang.String key)` Check if a user preference is set for the current user.
`java.lang.String[]` | `listExternallySupportedUserPreferences()` Returns the list of externally supported user preferences
`void` | `provisionCurrentUserPreferences()` Synchronize the preferences of the current user with user preferences from the Identity Repositiory.
`void` | `provisionUserPreferences(long userId)` Synchronize the preferences of the specified user with user preferences from the Identity Repository.
`void` | `removeUserPreference(java.lang.String key)` Remove a user preference for the current user.
`void` | `setDomainDefaultUserPreference(Preference value)` Set domain level default value for a single user preference.
`void` | `setDomainDefaultUserPreferences(Preference[] values)` Set domain level default values for user preferences.
`void` | `setUserPreference(Preference value)` Set a user preference for the current user.
`void` | `setUserPreferences(Preference[] values)` Set an array of user preferences for the current user.
`void` | `setUserPreferencesForUser(long userId, Preference[] values)` Set an array of user preferences for the specified user.

Method Detail

### getUserPreference

    Preference getUserPreference(java.lang.String key,
                                 AttributeRequest[] attributes)
                                 throws FdkException

  Description copied from interface: `UserManager`
  Get a user preference for the current user, by its preference key.

  Parameters:
    `key` - the user preference key
    `attributes` - requested attributes
  Returns:
    the preference value, or null if no preference is defined for that key
  Throws:
    `FdkException` - - if the operation fails

### getUserPreferences

    Preference[] getUserPreferences(java.lang.String[] keys,
                                    AttributeRequest[] attributes)
                                    throws FdkException

  Description copied from interface: `UserManager`
  Get a set of user preferences for the current user, by preference key.

  Parameters:
    `keys` - the user preference keys
    `attributes` - requested attributes
  Returns:
    the preference values
  Throws:
    `FdkException` - - if the operation fails

### getUserPreferencesForUser

    Preference[] getUserPreferencesForUser(long userId,
                                           java.lang.String[] keys,
                                           AttributeRequest[] attributes)
                                           throws FdkException

  Description copied from interface: `UserManager`
  Get a set of user preferences for the specified user, by preference key.

  Parameters:
    `userId` - the user ID
    `keys` - the user preference keys
    `attributes` - requested attributes
  Returns:
    the preference values
  Throws:
    `FdkException` - - if the operation fails

### setUserPreference

    void setUserPreference(Preference value)
                           throws FdkException

  Description copied from interface: `UserManager`
  Set a user preference for the current user.

  Parameters:
    `value` - the user preference value (which contains the key)
  Throws:
    `FdkException` - - if the operation fails

### setUserPreferences

    void setUserPreferences(Preference[] values)
                            throws FdkException

  Description copied from interface: `UserManager`
  Set an array of user preferences for the current user.

  Parameters:
    `values` - array of user preferences
  Throws:
    `FdkException` - - if the operation fails

### setUserPreferencesForUser

    void setUserPreferencesForUser(long userId,
                                   Preference[] values)
                                   throws FdkException

  Description copied from interface: `UserManager`
  Set an array of user preferences for the specified user.

  Parameters:
    `userId` - the user ID
    `values` - the user preference value (which contains the key)
  Throws:
    `FdkException` - - if the operation fails

### hasUserPreference

    boolean hasUserPreference(java.lang.String key)
                              throws FdkException

  Description copied from interface: `UserManager`
  Check if a user preference is set for the current user. An invalid user preference key will throw and a preference with a null value will return true.

  Parameters:
    `key` - the user preference key
  Throws:
    `FdkException` - - if the operation fails

### removeUserPreference

    void removeUserPreference(java.lang.String key)
                              throws FdkException

  Description copied from interface: `UserManager`
  Remove a user preference for the current user. This will result in the domain default preference value being used for this preference for this user. Invalid preference key will throw, derived user preferences will throw, removing a preference that is not there will throw.

  Parameters:
    `key` - the user preference key
  Throws:
    `FdkException` - - if the operation fails

### setDomainDefaultUserPreferences

    void setDomainDefaultUserPreferences(Preference[] values)
                                         throws FdkException

  Description copied from interface: `UserManager`
  Set domain level default values for user preferences.

  Parameters:
    `values` - the user preference values
  Throws:
    `FdkException` - if the operation fails

### setDomainDefaultUserPreference

    void setDomainDefaultUserPreference(Preference value)
                                        throws FdkException

  Description copied from interface: `UserManager`
  Set domain level default value for a single user preference.

  Parameters:
    `value` - the user preference value
  Throws:
    `FdkException` - if the operation fails

### getDomainDefaultUserPreferences

    Preference[] getDomainDefaultUserPreferences(java.lang.String[] keys,
                                                 AttributeRequest[] attributes)
                                                 throws FdkException

  Description copied from interface: `UserManager`
  Get domain level default values for the requested user preferences. If any of the keys do not correspond to a valid user preference, then an exception is thrown.

  Parameters:
    `keys` - keys used to identify the user preferences
    `attributes` - list of FDK attributes needed in the preference
  Returns:
    array of requested preferences
  Throws:
    `FdkException` - if the operation fails

### getDomainDefaultUserPreference

    Preference getDomainDefaultUserPreference(java.lang.String key,
                                              AttributeRequest[] attributes)
                                              throws FdkException

  Description copied from interface: `UserManager`
  Get domain level default value for a single user preference. If the key does not match a valid user preference, then an exception is thrown.

  Parameters:
    `key` - key used to identify the user preference
    `attributes` - list of FDK attributes needed in the preference
  Returns:
    requested user preference
  Throws:
    `FdkException` - if the operation fails

### findCredentialManagerUsers

    NamedValueSet[] findCredentialManagerUsers(NamedValue[] searchOptions)
                                               throws FdkException

  Description copied from interface: `UserManager`
  Find a list of users from the current credential manager that match the specified search options. Users may not necessarily have been provisioned to current domain.

  Search a realm for a list of users that matches the options. If the realm is not specified, then the default realm is used. Null is returned if no user is found.

  The value of the option specifies a filter to the option. The character '*' can be used to indicate zero or more characters in that position. Special characters '*', '(', ')', and '\' must be escaped in accordance with RFC-2254.

  Parameters:
    `searchOptions` - The search options. Options must include one or more of the following Options:
    - notation: {Option name, Option value}
    - {Attributes.NAME, String}
    - {Attributes.FIRST_NAME, String}
    - {Attributes.LAST_NAME, String}
    - {Attributes.EMAIL_ADDRESS, String}
    - {Options.USER_ATTRIBUTE_DISTINGUISHEDNAME, String}
    - {Options.USER_ATTRIBUTE_REALM, String}
    - {Options.RETURN_COUNT, Integer}
    - {Options.RETURN_TIME, Integer}
  Returns:
    An array of NamedValueSet representing the list of the found users. Each NamedValueSet is a set of attributes of a user. Null if no user is found.
  Throws:
    `FdkException` - (FDK_INVALID_OPTION): Invalid search option
    `FdkException` - others: If the operation fails.

### findDomainUsers

    Item[] findDomainUsers(NamedValue[] options,
                           AttributeRequest[] attrs)
                           throws FdkException

  Description copied from interface: `UserManager`
  Find a list of provisioned users in the current domain that match the specified search options. If no options are specified, returns all users in the domain.

  The value of the option specifies a filter to the option. Standard database and Windows wildcards (_?%*) accepted.

  Parameters:
    `options` - The search options. Valid options:
    - notation: {Option name, Option value}
    - {Attributes.NAME, String}
    - {Attributes.FIRST_NAME, String}
    - {Attributes.LAST_NAME, String}
    - {Attributes.EMAIL_ADDRESS, String}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    If a sort attribute name is specified with no direction, ascending is the default. Sort attributes must be valid attributes in Attributes.java and must return values that implement Comparable.
  Returns:
    An array of Items representing the users. Null if no user is found.
  Throws:
    `FdkException` - (FDK_INVALID_OPTION): Invalid search option
    `FdkException` - others: If the operation fails.

### getUser

    Item getUser(java.lang.String name,
                 AttributeRequest[] attributes)
                 throws FdkException

  Description copied from interface: `UserManager`
  Gets the specified user by name. Returns null if no such user exists.

  Parameters:
    `name` - The name of the user to return.
    `attributes` - additional attributes to retrieve for each user.
  Throws:
    `FdkException` - if the operation fails.

### provisionUserPreferences

    void provisionUserPreferences(long userId)
                                  throws FdkException

  Description copied from interface: `UserManager`
  Synchronize the preferences of the specified user with user preferences from the Identity Repository.

  Parameters:
    `userId` - The user ID of specified user
  Throws:
    `FdkException` - if the operation fails.

### provisionCurrentUserPreferences

    void provisionCurrentUserPreferences()
                                         throws FdkException

  Description copied from interface: `UserManager`
  Synchronize the preferences of the current user with user preferences from the Identity Repositiory.

  Throws:
    `FdkException` - if the operation fails.

### listExternallySupportedUserPreferences

    java.lang.String[] listExternallySupportedUserPreferences()
                                                              throws FdkException

  Description copied from interface: `UserManager`
  Returns the list of externally supported user preferences

  Returns:
    the list of externally supported user preferences
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD